> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Find Comparison



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/choice-comparison
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/item-slots/{slotId}/choice-comparison:
    get:
      tags:
        - Slot Choice Comparison
      summary: Find Comparison
      operationId: SlotChoiceComparisonController_findComparison_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: slotId
          required: true
          in: path
          schema:
            type: string
        - name: primaryItemId
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            pattern: ^(0|[1-9]\d*)$
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SlotChoiceComparisonResponseDto'
      security:
        - bearer: []
components:
  schemas:
    SlotChoiceComparisonResponseDto:
      type: object
      properties:
        schemaVersion:
          type: number
          enum:
            - 1
        refNumber:
          type: string
          nullable: true
        context:
          $ref: '#/components/schemas/SlotChoiceComparisonContextDto'
        position:
          type: number
        selected:
          $ref: '#/components/schemas/SlotChoiceProjectOptionDto'
        fields:
          type: array
          items:
            $ref: '#/components/schemas/ProductComparisonFieldDto'
        alternatives:
          $ref: '#/components/schemas/SlotChoiceAlternativesDto'
        suggestions:
          $ref: '#/components/schemas/SlotChoiceSuggestionsDto'
      required:
        - schemaVersion
        - refNumber
        - context
        - position
        - selected
        - fields
        - alternatives
        - suggestions
    SlotChoiceComparisonContextDto:
      type: object
      properties:
        slotId:
          type: string
        slotVersion:
          type: number
        primaryItemId:
          type: string
        primaryItemVersion:
          type: number
        alternativesCount:
          type: number
      required:
        - slotId
        - slotVersion
        - primaryItemId
        - primaryItemVersion
        - alternativesCount
    SlotChoiceProjectOptionDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - project_item
        imageUrl:
          type: string
          nullable: true
        productTypeId:
          type: string
          nullable: true
        catalogItemSourceId:
          type: string
          nullable: true
        catalogConnectionMode:
          enum:
            - live
            - saved
          type: string
        savedAt:
          format: date-time
          type: string
          nullable: true
        source:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/SlotChoiceSourceDisplayDto'
        attributes:
          type: object
          additionalProperties:
            oneOf:
              - type: string
                nullable: true
              - type: number
              - type: boolean
              - type: array
                items:
                  oneOf:
                    - type: string
                    - type: number
                    - type: boolean
        id:
          type: string
        version:
          type: number
        name:
          type: string
        categoryId:
          type: string
        catalogFamilyId:
          type: string
        catalogItemId:
          type: string
      required:
        - kind
        - imageUrl
        - productTypeId
        - catalogItemSourceId
        - catalogConnectionMode
        - savedAt
        - source
        - attributes
        - id
        - version
        - name
        - categoryId
        - catalogFamilyId
        - catalogItemId
    ProductComparisonFieldDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        slug:
          type: string
        type:
          enum:
            - text
            - number
            - percent
            - boolean
            - list
            - multiple_select
            - date
            - image
            - dimension
          type: string
        logicType:
          enum:
            - catalog_family
            - catalog_item
            - catalog_family_source
            - catalog_item_source
            - brand_standard
            - project_item
            - project_item_slot
          type: string
        options:
          type: array
          items:
            type: object
      required:
        - id
        - name
        - slug
        - type
        - logicType
        - options
    SlotChoiceAlternativesDto:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/SlotChoiceProjectOptionDto'
        hasMore:
          type: boolean
      required:
        - nextCursor
        - items
        - hasMore
    SlotChoiceSuggestionsDto:
      type: object
      properties:
        nextCursor:
          type: string
          nullable: true
        items:
          type: array
          items:
            $ref: '#/components/schemas/SlotChoiceCatalogCandidateDto'
        hasMore:
          type: boolean
      required:
        - nextCursor
        - items
        - hasMore
    SlotChoiceSourceDisplayDto:
      type: object
      properties:
        kind:
          enum:
            - supplier
            - estimate
          type: string
        companyName:
          type: string
          nullable: true
        officeName:
          type: string
          nullable: true
      required:
        - kind
        - companyName
        - officeName
    SlotChoiceCatalogCandidateDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - catalog_candidate
        origin:
          type: string
          enum:
            - curated
            - recommended
        imageUrl:
          type: string
          nullable: true
        productTypeId:
          type: string
          nullable: true
        sourceSelection:
          oneOf:
            - type: object
              properties:
                mode:
                  enum:
                    - catalog_item_source
                  type: string
                catalogItemSourceId:
                  type: string
              required:
                - mode
                - catalogItemSourceId
            - type: object
              properties:
                mode:
                  enum:
                    - estimate
                  type: string
              required:
                - mode
        attributes:
          type: object
          additionalProperties:
            oneOf:
              - type: string
                nullable: true
              - type: number
              - type: boolean
              - type: array
                items:
                  oneOf:
                    - type: string
                    - type: number
                    - type: boolean
        catalogFamilyId:
          type: string
        catalogFamilyStatus:
          type: string
          enum:
            - draft
            - new_from_project
            - new_from_collection
            - ready_to_use
        catalogItemId:
          type: string
        name:
          type: string
        categoryId:
          type: string
        source:
          $ref: '#/components/schemas/SlotChoiceSourceDisplayDto'
      required:
        - kind
        - origin
        - imageUrl
        - productTypeId
        - sourceSelection
        - attributes
        - catalogFamilyId
        - catalogFamilyStatus
        - catalogItemId
        - name
        - categoryId
        - source
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````